        page
******************************************************
** Copyright 2009 CMI Productions.                  **
** Lots of rights reserved.                         **
** Free for personal use as long as this copyright  **
** message is maintained in the source and the LCD  **
** copyright message is also preserved.  Commercial **
** use prohibited without CMIs written concent.     **
******************************************************
; -----------------------------------------------------------------------------
; File:         wireids.asm
; Function:     These are the 1-Wire device ID tables.
; Routines:     None, these are tables.
; -----------------------------------------------------------------------------
;
; This is where I store my flash variables.  I put them in the code for now
; because they get erased every time I reprogram the flash.  This isn't a
; problem for "normal" folk who just download the new app.
;
; For regular releases, no defaults are loaded ($SET VIRGIN)
; For me in debug mode, I default to the IDs for my indoor sensor. ($SET WILLSIN)
; For me in normal mode, I default to my outdoor sensor unit IDs. ($SET WILLSOUT)
; For adventurous users who want the same support, you can put in your won ($SET USERS)
;
; THESE COMPILE SWITCHES ARE SET NEAR THE TOP OF WX08.ASM!
; ADVENTUROUS USERS, SEE YOUR AREA STARTING AROUND LINE 282, AFTER THE $IF USERS
; STATEMENT.

$IF WILLSIN

        org     apvars+0                        ; INDOOR STATION 128-byte page #1
fpage0:
fitemp: db      $10,$7E,$F9,$25,$00,$00,$00,$D4 ; Flash temperature sensor ID
fisw:   db      $12,$F2,$A8,$0D,$00,$00,$00,$0D ; Flash direction switch ID
ficntr: db      $1D,$5A,$C6,$00,$00,$00,$00,$9C ; Flash wind speed counter ID
fihum:  db      $26,$aa,$74,$0d,$00,$00,$00,$1d ; Flash humidity sensor ID ($26)
fibar:  db      $26,$c3,$68,$22,$00,$00,$00,$ff ; Flash Barometer sensor ID ($26)
fwdoff: db      $F9                             ; Wind direction offset
fhmtmp: db      $00                             ; Use Humidity sensor for temperature flag
fp0rv5: db      $ff,$ff,$ff,$ff,$ff,$ff         ; reserved
fp0rv6: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp0rv7: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp0rv8: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp0rv9: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp0rva: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp0rvb: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp0rvc: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp0rvd: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp0rve: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp0rvf: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved

        org     apvars+128                      ; 128-byte page #2
fpage1:
fidir1: db      $01,$47,$D3,$60,$03,$00,$00,$A9 ; Flash direction sensor #1 ID
fidir2: db      $01,$53,$D3,$60,$03,$00,$00,$2E ; Flash direction sensor #2 ID
fidir3: db      $01,$56,$D3,$60,$03,$00,$00,$C5 ; Flash direction sensor #3 ID
fidir4: db      $01,$59,$D3,$60,$03,$00,$00,$E1 ; Flash direction sensor #4 ID
fidir5: db      $01,$5C,$D3,$60,$03,$00,$00,$0A ; Flash direction sensor #5 ID
fidir6: db      $01,$50,$D3,$60,$03,$00,$00,$77 ; Flash direction sensor #6 ID
fidir7: db      $01,$4D,$D3,$60,$03,$00,$00,$66 ; Flash direction sensor #7 ID
fidir8: db      $01,$4A,$D3,$60,$03,$00,$00,$E3 ; Flash direction sensor #8 ID
fp1rv8: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp1rv9: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp1rva: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp1rvb: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp1rvc: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp1rvd: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp1rve: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp1rvf: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved

        org     apvars+256
fpage2:
fumode: db      $04 ; UART Mode:     0=TNC,1=TNC-LTP,2=Computer,3=Peet,4=Modem
fdmode: db      $01 ; Wind dir mode: 0=numbers, 1=text
fmmode: db      $01 ; Metric mode:   0=metric,  1=english
ftoff:  db      $ee ; Local to GMT offset (-6 hours in my case)
fbaud:  db      $ff ; Baud rate:     0=2400, 1=4800, 2=9600, $ff=default
;                                    TNC=4800, LTP=2400,Computer=9600,Peet=2400
fhmdsp: db      $ff ; UNUSED
fp2rv0: db      $ff,$ff                         ; Bytes 6-7 Reserved
fp2rv1: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp2rv2: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp2rv3: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp2rv4: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp2rv5: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp2rv6: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp2rv7: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp2rv8: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp2rv9: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp2rva: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp2rvb: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp2rvc: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp2rvd: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp2rve: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp2rvf: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved

        org     apvars+384
fpage3:
firain: db      $1d,$7e,$d4,$00,$00,$00,$00,$09 ; Rain Guage ID
firgot: db      $00                             ; byte 0, 00=got, $ff=none
firref: db      $00,$00                         ; reference count
fp3rv1: db      $ff,$ff,$ff,$ff,$ff             ; Reserved
fp3rv2: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp3rv3: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp3rv4: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp3rv5: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp3rv6: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp3rv7: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp3rv8: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp3rv9: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp3rva: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp3rvb: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp3rvc: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp3rvd: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp3rve: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp3rvf: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved

        org     apvars+512
fpage4:
fiposn: db      $33,$39,$33,$34,$2e,$35,$38,$4e ; Position string bytes 0-7
        db      $2f,$31,$30,$34,$35,$31,$2e,$39 ; Position string bytes 8-15
        db      $32,$57                         ; Position string bytes 16-17
fipon:  db      $00                             ; Position string on/off (ff=off)
fmycal: db      $4e,$30,$58,$47,$41,$20         ; MyCall     callsign N0XGA
fmysid: db      $32                             ; MyCall     SSID     -2
fr1cal: db      $57,$49,$44,$45,$32,$20         ; Repeater 1 callsign WIDE2
fr1sid: db      $32                             ; Repeater 1 SSID     -2
fr2cal: db      $20,$20,$20,$20,$20,$20         ; Repeater 2 callsign
fr2sid: db      $30                             ; Repeater 2 SSID

ftxclr: db      $05                             ; x100ms channel clear time before Tx
ftxdly: db      $05                             ; x100ms Tx on to sending data

fuityp: db      $03                             ; UI calltype, 1=user,2=WIDE121212, 3=WIDE 121213 (42)
fp4rv5: db      $ff,$ff,$ff,$ff,$ff             ; reserved (43-47)
fp4rv6: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved (48-56)
fp4rv7: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved (56-66)
fp4rv8: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp4rv9: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp4rva: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp4rvb: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp4rvc: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp4rvd: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp4rve: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp4rvf: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
$ENDIF
        page
$IF WILLSOUT
        org     apvars+0                        ; OUTDOOR STATION 128-byte page #1
fpage0:
fitemp: db      $10,$9c,$2c,$05,$00,$08,$00,$19 ; Flash temperature sensor ID
fisw:   db      $12,$CB,$BC,$0A,$00,$00,$00,$93 ; Flash direction switch ID
ficntr: db      $1D,$6C,$C4,$00,$00,$00,$00,$40 ; Flash wind speed counter ID
fihum:  db      $26,$0e,$36,$06,$00,$00,$00,$63 ; Flash humidity sensor ID
fibar:  db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Flash barometer sensor ID
fwdoff: db      $f1                             ; Wind direction offset
fhmtmp: db      $ff                             ; Use Humidity sensor for temperature flag
fp0rv5: db      $ff,$ff,$ff,$ff,$ff,$ff         ; reserved
fp0rv6: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp0rv7: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp0rv8: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp0rv9: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp0rva: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp0rvb: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp0rvc: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp0rvd: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp0rve: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp0rvf: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved

        org     apvars+128                      ; 128-byte page #2
fpage1:
fidir1: db      $01,$2F,$A2,$60,$03,$00,$00,$6B ; Flash direction sensor #1 ID
fidir2: db      $01,$32,$A2,$60,$03,$00,$00,$7A ; Flash direction sensor #2 ID
fidir3: db      $01,$23,$A2,$60,$03,$00,$00,$16 ; Flash direction sensor #3 ID
fidir4: db      $01,$26,$A2,$60,$03,$00,$00,$FD ; Flash direction sensor #4 ID
fidir5: db      $01,$2C,$A2,$60,$03,$00,$00,$32 ; Flash direction sensor #5 ID
fidir6: db      $01,$3B,$A2,$60,$03,$00,$00,$EC ; Flash direction sensor #6 ID
fidir7: db      $01,$38,$A2,$60,$03,$00,$00,$B5 ; Flash direction sensor #7 ID
fidir8: db      $01,$35,$A2,$60,$03,$00,$00,$FF ; Flash direction sensor #8 ID
fp1rv8: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp1rv9: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp1rva: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp1rvb: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp1rvc: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp1rvd: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp1rve: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp1rvf: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved

        org     apvars+256
fpage2:
fumode: db      $04 ; UART Mode:     0=TNC,1=TNC-LTP,2=Computer,3=Peet,4=Modem
fdmode: db      $00 ; Wind dir mode: 0=numbers, 1=text
fmmode: db      $01 ; Metric mode:   0=metric,  1=english
ftoff:  db      $ee ; Local to GMT offset (-6 hours in my case)
fbaud:  db      $ff ; Baud rate:     0=2400, 1=4800, 2=9600, $ff=default
;                                    TNC=4800, LTP=2400,Computer=9600,Peet=2400

fhmdsp: db      $ff ; UNUSED
fp2rv0: db      $ff,$ff                         ; Bytes 6-7 Reserved
fp2rv1: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp2rv2: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp2rv3: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp2rv4: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp2rv5: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp2rv6: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp2rv7: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp2rv8: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp2rv9: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp2rva: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp2rvb: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp2rvc: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp2rvd: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp2rve: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp2rvf: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved

        org     apvars+384
fpage3:
firain: db      $1d,$1a,$e4,$00,$00,$00,$00,$92 ; Rain Guage ID
firgot: db      $00                             ; byte 0, 00=got, $ff=none
firref: db      $05,$3c                         ; reference count
fp3rv1: db      $ff,$ff,$ff,$ff,$ff             ; Reserved
fp3rv2: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp3rv3: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp3rv4: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp3rv5: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp3rv6: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp3rv7: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp3rv8: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp3rv9: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp3rva: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp3rvb: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp3rvc: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp3rvd: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp3rve: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp3rvf: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved

        org     apvars+512
fpage4:
fiposn: db      $33,$39,$33,$36,$2e,$34,$38,$4e ; Position string bytes 0-7
        db      $2f,$31,$30,$34,$35,$31,$2e,$38 ; Position string bytes 8-15
        db      $39,$57                         ; Position string bytes 16-17
fipon:  db      $00                             ; Position string on/off (ff=off)
fmycal: db      $4e,$30,$58,$47,$41,$20         ; MyCall     callsign N0XGA
fmysid: db      $30                             ; MyCall     SSID     -0
fr1cal: db      $57,$49,$44,$45,$32,$20         ; Repeater 1 callsign WIDE2
fr1sid: db      $32                             ; Repeater 1 SSID     -2
fr2cal: db      $20,$20,$20,$20,$20,$20         ; Repeater 2 callsign
fr2sid: db      $02                             ; Repeater 2 SSID

ftxclr: db      $05                             ; x100ms channel clear time before Tx
ftxdly: db      $05                             ; x100ms Tx on to sending data

fuityp: db      $03                             ; UI calltype, 1=user,2=WIDE121212, 3=WIDE 121213 (42)
fp4rv5: db      $ff,$ff,$ff,$ff,$ff             ; reserved (43-47)
fp4rv6: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved (48-56)
fp4rv7: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved (56-66)
fp4rv8: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp4rv9: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp4rva: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp4rvb: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp4rvc: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp4rvd: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp4rve: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp4rvf: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
$ENDIF
        page
$IF VIRGIN
        org     apvars+0                        ; 128-byte page #1
fpage0:
fitemp: equ     fpage0                          ; Flash temperature sensor ID
fisw:   equ     fpage0+8                        ; Flash direction switch ID
ficntr: equ     fpage0+16                       ; Flash wind speed counter ID
fihum:  equ     fpage0+24                       ; Humidity Sensor ID
fibar:  equ     fpage0+32                       ; Flash barometer sensor ID
fwdoff: equ     fpage0+40                       ; Wind direction offset (1 byte)
fhmtmp: equ     fpage0+41                       ; Use Humidity sensor for temperature flag
fp0rv5: equ     fpage0+42                       ; reserved
fp0rv6: equ     fpage0+48                       ; reserved
fp0rv7: equ     fpage0+56                       ; reserved
fp0rv8: equ     fpage0+64                       ; reserved
fp0rv9: equ     fpage0+72                       ; reserved
fp0rva: equ     fpage0+80                       ; reserved
fp0rvb: equ     fpage0+88                       ; reserved
fp0rvc: equ     fpage0+96                       ; reserved
fp0rvd: equ     fpage0+104                      ; reserved
fp0rve: equ     fpage0+112                      ; reserved
fp0rvf: equ     fpage0+120                      ; reserved

        org     apvars+128                      ; 128-byte page #2
fpage1:
fidir1: equ     fpage1                          ; Flash direction sensor #1 ID
fidir2: equ     fpage1+8                        ; Flash direction sensor #2 ID
fidir3: equ     fpage1+16                       ; Flash direction sensor #3 ID
fidir4: equ     fpage1+24                       ; Flash direction sensor #4 ID
fidir5: equ     fpage1+32                       ; Flash direction sensor #5 ID
fidir6: equ     fpage1+40                       ; Flash direction sensor #6 ID
fidir7: equ     fpage1+48                       ; Flash direction sensor #7 ID
fidir8: equ     fpage1+56                       ; Flash direction sensor #8 ID
fp1rv8: equ     fpage1+64                       ; reserved
fp1rv9: equ     fpage1+72                       ; reserved
fp1rva: equ     fpage1+80                       ; reserved
fp1rvb: equ     fpage1+88                       ; reserved
fp1rvc: equ     fpage1+96                       ; reserved
fp1rvd: equ     fpage1+104                      ; reserved
fp1rve: equ     fpage1+112                      ; reserved
fp1rvf: equ     fpage1+120                      ; reserved

        org     apvars+256
fpage2:
fumode: db      $00      ; UART Mode:     0=TNC,1=TNC-LTP,2=Computer,3=Peet,4=Modem
fdmode: db      $00      ; Wind dir mode: 0=numbers, 1=text
fmmode: db      $01      ; Metric mode:   1=metric,  0=english
ftoff:  db      $00      ; Local to GMT offset (default to same)
fbaud:  db      $ff      ; Baud rate:     0=2400, 1=4800, 2=9600, $ff=default
;                                         TNC=4800, LTP=2400,Computer=9600,Peet=2400
fhmdsp: db      $ff ; UNUSED

fp2rv0: equ     fpage2+6                        ; Bytes 4-7 Reserved
fp2rv1: equ     fpage2+8                        ; Reserved
fp2rv2: equ     fpage2+16                       ; Reserved
fp2rv3: equ     fpage2+24                       ; Reserved
fp2rv4: equ     fpage2+32                       ; Reserved
fp2rv5: equ     fpage2+40                       ; Reserved
fp2rv6: equ     fpage2+48                       ; Reserved
fp2rv7: equ     fpage2+56                       ; Reserved
fp2rv8: equ     fpage2+64                       ; reserved
fp2rv9: equ     fpage2+72                       ; reserved
fp2rva: equ     fpage2+80                       ; reserved
fp2rvb: equ     fpage2+88                       ; reserved
fp2rvc: equ     fpage2+96                       ; reserved
fp2rvd: equ     fpage2+104                      ; reserved
fp2rve: equ     fpage2+112                      ; reserved
fp2rvf: equ     fpage2+120                      ; reserved

        org     apvars+384
fpage3:
firain: equ     fpage3+0                        ; Rain Guage ID
firgot: equ     fpage3+8                        ; gotit flag
firref: equ     fpage3+9                        ; reference count
fp3rv2: equ     fpage3+16                       ; Reserved
fp3rv3: equ     fpage3+24                       ; Reserved
fp3rv4: equ     fpage3+32                       ; Reserved
fp3rv5: equ     fpage3+40                       ; Reserved
fp3rv6: equ     fpage3+48                       ; Reserved
fp3rv7: equ     fpage3+56                       ; Reserved
fp3rv8: equ     fpage3+64                       ; reserved
fp3rv9: equ     fpage3+72                       ; reserved
fp3rva: equ     fpage3+80                       ; reserved
fp3rvb: equ     fpage3+88                       ; reserved
fp3rvc: equ     fpage3+96                       ; reserved
fp3rvd: equ     fpage3+104                      ; reserved
fp3rve: equ     fpage3+112                      ; reserved
fp3rvf: equ     fpage3+120                      ; reserved

        org     apvars+512
fpage4:
fiposn: equ     fpage4+0                        ; Position string
fipon:  equ     fpage4+18                       ; Position string on/off (ff=off)
fmycal: equ     fpage4+19                       ; MyCall     callsign (ASCII, pad w/ spaces)
fmysid: equ     fpage4+25                       ; MyCall     SSID (binary 00-0f)
fr1cal: equ     fpage4+26                       ; Repeater 1 callsign (ASCII, pad w/ spaces)
fr1sid: equ     fpage4+32                       ; Repeater 1 SSID (binary 00-0f)
fr2cal: equ     fpage4+33                       ; Repeater 2 callsign (ASCII, pad w/ spaces)
fr2sid: equ     fpage4+39                       ; Repeater 2 SSID (binary 00-0f)
ftxclr: equ     fpage4+40                       ; TXCLR x100ms channel clear time
ftxdly: equ     fpage4+41                       ; TXDLY x100ms Tx on to data start
fuityp: equ     fpage4+42                       ; UI calltype, 1=user,2=WIDE121212, 3=WIDE 121213 (42)
fp4rv5: equ     fpage4+43                       ; reserved
fp4rv6: equ     fpage4+48                       ; reserved
fp4rv7: equ     fpage4+56                       ; reserved
fp4rv8: equ     fpage4+64                       ; reserved
fp4rv9: equ     fpage4+72                       ; reserved
fp4rva: equ     fpage4+80                       ; reserved
fp4rvb: equ     fpage4+88                       ; reserved
fp4rvc: equ     fpage4+96                       ; reserved
fp4rvd: equ     fpage4+104                      ; reserved
fp4rve: equ     fpage4+112                      ; reserved
fp4rvf: equ     fpage4+120                      ; reserved
$ENDIF

        page
$IF USERS
; Here is where you more adventurous folk who what to mess with code can make
; your life a bit easier.  This is the place to put in your 1-Wire IDs into the
; source code so you don't have to run a re-calibration evert time you erase the
; flash and re-program new code.
; NOTE:  Doing this should NOT be required, even if you are messing with the
; source code and trying out your own stuff.  As long as you are only messing
; with the main code and not the monitor, the MON08 downloader should be
; perfectly adequate.  The DOS downloader is pretty clunky but it works fine.
; This process assumes that you are pretty familiar with the Motorola
; development tools.
;
; After running your calibrations, you want to use the debugger to get a dump of
; the flash in the range $f800 through $fa00.  You will need this as a
; reference as you fill in the entries below.  For each line I show an address
; at the beginning of the comment.  What you want to do is replace the $ff's
; with the memory locations for each entry starting in that line starting at
; the commented address.  If the entry is listed as reserved, leave the
; entries $ff.
; There is no automatic error checking for your entries, so be careful and
; triple-check your typing.  All I offer is that I can fill in the first byte
; (the family ID) for each of the 1-wire addresses.  If they don't match, then
; you know you are out of sync.
;
; As new firmware gets released, you will want to check the contents of this
; file.  As I add sensors or any other feature that requires additional data to
; be stored in Flash, I will add entries to this table.  With any luck all I
; will ever do is add entries.  As I make changes to the entries in this in
; these tables, I will document them here.
;
; Most of the variables and IDs listed below are either self-explanatory or
; are (hopefully) adequately explained by short comment next to the variable.
; The big exception is wind direction--especially if you want to manually
; enter data from the Dallas Wx station.  Here is how my tables work:
; The fidir1-fidir8 entries are the 1-wire direction IDs listed as they were
; discovered during the calibration process.  If you calibrated correctly,
; they list the IDs in clockwise (increasing degrees) order.  North is NOT
; the first entry, it could be anywhere in the list.  To explain how I get
; north requries quick explanation of how I determine direction at all.
; Even though there are only 8 sensors, 16 wind directions are possible to
; determine as the way the wind direction sensor is set up, two IDs get
; activated when the wind vane is betwen two.  I assign even numbers to
; each ID in sequence (fidir1=0,fidir2=2, etc) and odd numbers to the
; direction that activates both sensors (direction #1 is between firir1 and
; fidir2).  This way the index I get is a number from 0-15 with #0 being
; only fidir1 active and #15 being fidir8 and fidir1.  fwdoff is the
; 2's complement value to add to the raw index to get the weather direction
; such that the read value and fwdoff will equal 0 when the weather vane
; is pointed north.  North does not have to be a specific single sensor, it
; can be a value in between sensors.  An example:  If true north happened
; to corrospond to a raw index of 5 (in between fidir3 and fidir4), then the
; fwdoff value could be -5 (0xfa) or +11 (0x0a).  Adding 5 and either number
; results in an answer of 0 when the upper 4 bits are ignored.
; Hope this helps.
;
;
; Revision History:
;
; 1.08.2:
;  Initial documentation on what to do
;
; 1.09.0:
;  Added postion string at $f980.  $ff at first byte means no string.
;  fmmode (metric mode) now active
;
; 1.10.0
;  Added GMT offset to flash.  ftoff is 2's comp of GMT-Local hours.
;
; 1.10.2
;  User-settable baud rates in fbaud.
;
; 1.12.0
;  Added location for humidity sensor, 4th entry in page 0.
;   I had to leave the definition $ff because I use a valid ID as a flag
;   that the humidty sensor is there.  Chip is a DS2438 with family code $26
;
; 1.12.1
;  Added AAG weather sensor support.  I flag which sensor is being used
;   simply by which family ID is programmed into the first byte of the
;   fisw location.  $12 means the Dallas sensor (the switch) while $20
;   means the AAG quad A/D.  Note taht if the AAG sensor is installed,
;   the meanings of all the fidir locations are undefined.
;
; 1.15.0
;  Added fmycal,fmysid,fr1cal,fr1sid,fr2cal,fr2sid variables for MX-614 support
;  Plunk the callsigns in in ASCII padded with spaces to the full six characters
;  Put in the binary SSID (0x00 to 0x0f) in the ...sid byte after the callsign
;  Also added ftxclr and ftxdly.  ftxclr times 100ms is the amount of time the
;  RF channel should be clear before starting up the transmitter.  ftxdly times
;  100ms is the time from turning the transmitter on to when the data proper
;  starts. They are added in the apvars+512 section
;
; 1.16.0
;  Added fuityp.  00 and ff are considered unused (and default to user-specified.
;  02 and 03 mean a cycling WIDEn-n in the sequence 121212 and 121213 respctively.
;
;
        org     apvars+0                        ; OUTDOOR STATION 128-byte page #1
fpage0:
fitemp: db      $10,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; $f800 Flash temperature sensor ID
fisw:   db      $12,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; $f808 Flash direction switch ID
ficntr: db      $1D,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; $f810 Flash wind speed counter ID
fihum:  db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; $f818 Flash humidity sensor ID ($26)
fibar:  db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; $f820 Flash barometer sensor ID ($26)
fwdoff: db      $ff                             ; $f828 Wind direction offset (1 byte)
fhmtmp: db      $ff                             ; $f829 Use Humidity sensor for temperature flag
fp0rv5: db      $ff,$ff,$ff,$ff,$ff,$ff         ; reserved
fp0rv6: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp0rv7: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp0rv8: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp0rv9: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp0rva: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp0rvb: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp0rvc: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp0rvd: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp0rve: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp0rvf: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved

        org     apvars+128                      ; 128-byte page #2
fpage1:
fidir1: db      $01,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; $f880 Flash direction sensor #1 ID
fidir2: db      $01,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; $f888 Flash direction sensor #2 ID
fidir3: db      $01,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; $f890 Flash direction sensor #3 ID
fidir4: db      $01,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; $f898 Flash direction sensor #4 ID
fidir5: db      $01,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; $f8a0 Flash direction sensor #5 ID
fidir6: db      $01,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; $f8a8 Flash direction sensor #6 ID
fidir7: db      $01,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; $f8b0 Flash direction sensor #7 ID
fidir8: db      $01,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; $f8b8 Flash direction sensor #8 ID
fp1rv8: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp1rv9: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp1rva: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp1rvb: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp1rvc: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp1rvd: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp1rve: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp1rvf: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved

        org     apvars+256
fpage2:
fumode: db      $00 ; $f900 ; UART Mode:     0=TNC,1=TNC-LTP,2=Computer,3=Peet,4=Modem
fdmode: db      $00 ; $f901 Wind dir mode: 0=numbers, 1=text
fmmode: db      $01 ; $f902 Metric mode:   0=metric,  1=english
ftoff:  db      $00 ; Local to GMT offset (Plunk in 2's comp of GMT-local)
fbaud:  db      $ff ; Baud rate:     0=2400, 1=4800, 2=9600, $ff=default
;                                    TNC=4800, LTP=2400,Computer=9600,Peet=2400

fhmdsp: db      $ff ; UNUSED
fp2rv0: db      $ff,$ff                         ; Bytes 6-7 Reserved
fp2rv1: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp2rv2: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp2rv3: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp2rv4: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp2rv5: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp2rv6: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp2rv7: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp2rv8: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp2rv9: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp2rva: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp2rvb: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp2rvc: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp2rvd: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp2rve: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp2rvf: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved

        org     apvars+384
fpage3:
firain: db      $1d,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; $f980 Rain Guage ID
firgot: db      $ff                             ; $f988 byte 0, 00=got, $ff=none
firref: db      $ff,$ff                         ; $f989 reference count
fp3rv1: db      $ff,$ff,$ff,$ff,$ff             ; Reserved
fp3rv2: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp3rv3: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp3rv4: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp3rv5: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp3rv6: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp3rv7: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; Reserved
fp3rv8: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp3rv9: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp3rva: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp3rvb: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp3rvc: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp3rvd: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp3rve: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp3rvf: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved

        org     apvars+512
fpage4:
fiposn: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; $fa00 Position string bytes 0-7
        db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; $fa08 Position string bytes 8-15
        db      $ff,$ff                         ; $fa10 Position string bytes 16-17
fipon:  db      $ff                             ; $fa11 Position string on/off (ff=off)
fmycal: db      $ff,$ff,$ff,$ff,$ff,$ff         ; $fa12 MyCall     callsign (ASCII, pad w/ spaces)
fmysid: db      $ff                             ; $fa18 MyCall     SSID (binary 00-0f) (add 0x30!!)
fr1cal: db      $ff,$ff,$ff,$ff,$ff,$ff         ; $fa19 Repeater 1 callsign (ASCII, pad w/ spaces)
fr1sid: db      $ff                             ; $fa1f Repeater 1 SSID (binary 00-0f) (add 0x30!!)
fr2cal: db      $ff,$ff,$ff,$ff,$ff,$ff         ; $fa20 Repeater 2 callsign (ASCII, pad w/ spaces)
fr2sid: db      $ff                             ; $fa26 Repeater 2 SSID (binary 00-0f) (add 0x30!!)

ftxclr: db      $ff                             ; x100ms channel clear time before Tx
ftxdly: db      $ff                             ; x100ms Tx on to sending data

fuityp: db      $ff                             ; UI calltype, 1=user,2=WIDE121212, 3=WIDE 121213 (42)
fp4rv5: db      $ff,$ff,$ff,$ff,$ff             ; reserved (43-47)
fp4rv6: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved (48-56)
fp4rv7: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved (56-66)
fp4rv8: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp4rv9: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp4rva: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp4rvb: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp4rvc: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp4rvd: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp4rve: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
fp4rvf: db      $ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff ; reserved
$ENDIF
        page

